ColorType (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.synth, class: ColorType
Keywords: javax.swing.plaf.synth.ColorType class

# Class ColorType

java.lang.Object
javax.swing.plaf.synth.ColorType

public class ColorType extends Object
A typesafe enumeration of colors that can be fetched from a style.

Each `SynthStyle` has a set of `ColorType`s that are accessed by way of the `SynthStyle.getColor(SynthContext, ColorType)` method. `SynthStyle`'s `installDefaults` will install the `FOREGROUND` color as the foreground of the Component, and the `BACKGROUND` color to the background of the component (assuming that you have not explicitly specified a foreground and background color). Some components support more color based properties, for example `JList` has the property `selectionForeground` which will be mapped to `FOREGROUND` with a component state of `SynthConstants.SELECTED`.

The following example shows a custom `SynthStyle` that returns a red Color for the `DISABLED` state, otherwise a black color.

    class MyStyle extends SynthStyle {
        private Color disabledColor = new ColorUIResource(Color.RED);
        private Color color = new ColorUIResource(Color.BLACK);
        protected Color getColorForState(SynthContext context, ColorType type){
            if (context.getComponentState() == SynthConstants.DISABLED) {
                return disabledColor;
            }
            return color;
        }
    }

Since:
  1.5

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ColorType`
  `BACKGROUND`
  ColorType for the background of a region.
  `static final ColorType`
  `FOCUS`
  ColorType for the focus.
  `static final ColorType`
  `FOREGROUND`
  ColorType for the foreground of a region.
  `static final int`
  `MAX_COUNT`
  Maximum number of `ColorType`s.
  `static final ColorType`
  `TEXT_BACKGROUND`
  ColorType for the background of a region.
  `static final ColorType`
  `TEXT_FOREGROUND`
  ColorType for the foreground of a region.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ColorType(String description)`
  Creates a new ColorType with the specified description.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getID()`
  Returns a unique id, as an integer, for this ColorType.
  `String`
  `toString()`
  Returns the textual description of this `ColorType`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### FOREGROUND

    public static final ColorType FOREGROUND
    ColorType for the foreground of a region.

  - ### BACKGROUND

    public static final ColorType BACKGROUND
    ColorType for the background of a region.

  - ### TEXT_FOREGROUND

    public static final ColorType TEXT_FOREGROUND
    ColorType for the foreground of a region.

  - ### TEXT_BACKGROUND

    public static final ColorType TEXT_BACKGROUND
    ColorType for the background of a region.

  - ### FOCUS

    public static final ColorType FOCUS
    ColorType for the focus.

  - ### MAX_COUNT

    public static final int MAX_COUNT
    Maximum number of `ColorType`s.

- ## Constructor Details

  - ### ColorType

    protected ColorType(String description)
    Creates a new ColorType with the specified description.
    Parameters:
      `description` - String description of the ColorType.

- ## Method Details

  - ### getID

    public final int getID()
    Returns a unique id, as an integer, for this ColorType.
    Returns:
      a unique id, as an integer, for this ColorType.

  - ### toString

    public String toString()
    Returns the textual description of this `ColorType`. This is the same value that the `ColorType` was created with.
    Overrides:
      `toString` in class `Object`
    Returns:
      the description of the string